Bug 809238 - ioapic probe error message appeared coincident with 3.3 kernel
ioapic probe error message appeared coincident with 3.3 kernel
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
i686 Linux
unspecified Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-02 16:00 EDT by Michael Carney
Modified: 2014-04-14 09:04 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-13 10:04:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Carney 2012-04-02 16:00:28 EDT
Description of problem: The following message appeared once my system began using the 3.3 kernel:

WARNING:  Kernel Errors Present
    ioapic: probe of 0000:03:00.0 failed with error -22 ...:  1 Time(s)

I tried booting 3.2.* kernels -- no such message appears.


Version-Release number of selected component (if applicable): 3.3.*


How reproducible: Always


Steps to Reproduce:
1. Boot 3.3 kernel
2. dmesg / observe /var/log/messages

  
Additional info:

System still runs fine -- message appears benign.
Comment 1 Michael Carney 2012-04-02 16:01:34 EDT
System details:

Dell Workstation 530n, 2 x 2GHz dual core Xeons, 2GB memory.
Comment 2 Prarit Bhargava 2012-06-21 09:32:13 EDT
Michael, this is more likely than not a BIOS ACPI issue.  Your system does not have ACPI entries for the IOAPIC and that is what is causing the failure.

You should check with Dell to see if there is a BIOS update for your system.

P.
Comment 3 Prarit Bhargava 2012-06-21 10:13:17 EDT
(In reply to comment #2)
> Michael, this is more likely than not a BIOS ACPI issue.  Your system does
> not have ACPI entries for the IOAPIC and that is what is causing the failure.
> 
> You should check with Dell to see if there is a BIOS update for your system.
> 
> P.

Actually Michael, I take this back.

While it is possible that you don't have BIOS ACPI entries for your APICs, it is more likely that this error is occurring because the APICs are re-examined by the PCI ioapic driver after they've already been init'd at boot time.  That code is spitting out a (useless) error.

I'll see what I can do to fix this.

P.
Comment 4 Dave Jones 2012-10-23 11:25:08 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 5 Justin M. Forbes 2012-11-13 10:04:21 EST
With no response, we are closing this bug under the assumption that it is no longer an issue. If you still experience this bug, please feel free to reopen the bug report.
Comment 6 Balaji Singh 2014-04-14 09:04:13 EDT
Hi Prarit,

In reply to #comment3, can you pleas share the patch for fix for this issue.

Note You need to log in before you can comment on or make changes to this bug.